Subject: Re: bug#51475: read-char-choice should hide the cursor

From: Gregory Heytings <[email-masked]>
Date: Fri, 29 Oct 2021 20:28:43 +0000

>
> Isearch for example doesn't show the cursor after the colon until after 
> the cursor can do something useful (ie. you press M-e to edit the search 
> string).  By the same reasoning, I think that read-char-choice should 
> always hide the cursor.
>

Isearch doesn't use a minibuffer, it uses the echo area.  When you press 
M-e it starts to use a minibuffer.